//Задаем путь .sce-файлов задач
function [fullDataFilesNames,..//Путь к xml-файлам задач
          err,msg]=GetFullDataFileName(dataFilesNames,..//Имена файлов данных
                                       projectName,..//Имя проекта
                                       errPrintMsg..//Необходимость печати сообщений об ошибках
                                       )
    //Проверяем аргументы
    nArg = argn(2);
    select nArg
    case 0 then
        error('The function GetFullDataFileName takes 1, 2 or 3 arguments');
    case 1 then
        projectName = "";//Имя проекта по умолчанию отсутcтвует
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 2 then
        if type(projectName) == 4 then
            errPrintMsg = projectName;//Необходимость печати сообщений об ошибках
            projectName = "";//Имя проекта по умолчанию отсутcтвует
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
    end
    
    //Обрабатываем имена файлов данных
    isDataFilesNames = (length(dataFilesNames) > 0);
    if (size(dataFilesNames,'*') > 0) &&..
       or(~isDataFilesNames) then
        dataFilesNames = dataFilesNames(isDataFilesNames);
    end
    clear isDataFilesNames;//Чистим память
    if isempty(dataFilesNames) then
        fullDataFilesNames = [];
        return;
    end
    
    //Формируем полное имя файла данных
    [tasksSCEFilesPath,..//Путь к .sce-файлам задач
     err,msg..//Код ошибки и сообщение ошибки
     ]=GetTaskPath(1, errPrintMsg);
    if err ~= 0 then
        return;
    end
    fullDataFilesNames = fullfile(tasksSCEFilesPath,projectName,dataFilesNames);//Полное имя файла данных
endfunction
 
