//Задаем путь .xml-файлов задач
function [tasksSCEFilesPath,..//Путь к xml-файлам задач
          err,msg,..//Код ошибки и сообщение ошибки
          tasksSCEFilesPathFull..//Полное имя файла директорий
          ]=GetTaskPath(asksTypes,..//Вид запроса (путь к директории задач, путь к директории результатов задач, путь к директории файлов входных данных, путь к директории файлов выходных данных)
                        errPrintMsg..//Необходимость печати сообщений об ошибках
                        )
    //Проверяем аргументы
    nArg = argn(2);//Число аргументов
    select nArg
    case 0 then
        asksTypes = [];//Выдаем все
        errPrintMsg = %t;//Ошибки по умолчанию выдаем
    case 1 then
        if type(asksTypes) == 4 then
            errPrintMsg = asksTypes;//Необходимость печати сообщений об ошибках
            asksTypes = [];//Выдаем все
        else
            errPrintMsg = %t;//Ошибки по умолчанию выдаем
            asksTypes = asksTypes + 1;
        end
    else
        if ~isempty(asksTypes) then
            if size(unique(asksTypes), '*') < size(asksTypes, '*') then
                error('The argument asksTypes of function GetTaskPath not must include equal elements');
            end
            asksTypes = asksTypes + 1;
        end
    end
    if or(asksTypes > 3) then
        error('The argument asksTypes of function GetTaskPath must include 0, 1 or 2');
    end
    
    //Открываем файл путей
    tasksSCEFilesPathFull = fullfile(SCIHOME,"TaskSCEFilesDatas","TasksSCEFilesPath.pth");//Формируем полное имя файла путей
    [fd,err] = mopen(tasksSCEFilesPathFull,'rt',1);//Открываем, как текстовый файл для чтения
    
    //Считываем из файла информацию о пути и закрываем файл
    select err
    case 0 then
        //Считываем путь из файла
        tasksSCEFilesPath = mgetl(fd);
        if ~isempty(asksTypes) then
            tasksSCEFilesPath = tasksSCEFilesPath(asksTypes);//Выбираем в соответствие с заданными индексами
        end
        
        //Закрываем файл
        mclose(fd);
        
        //Выводим сообщение об успехе
        msg = 'The tasks SCE files path information is reading sucsessfully!';
    case -2 then
        //Выводим пустое сообщение
        tasksSCEFilesPath = [];
        
        //Выводим сообщение об успехе
        err = 0;//Ошибки считывания нет
        msg = 'The tasks SCE files path information is reading sucsessfully!';
    case -3 then
        //Выводим сообщение об ошибке
        msg = 'No memory for open tasks SCE files path information file';
    else
        //Выводим сообщение об ошибке
        msg = 'Cannot reading tasks SCE files path information';
    end
    
    //Выводим при необходимости сообщение об ошибке
    if errPrintMsg && (err ~= 0) && (err ~= -2) then
        error(msg);
    end
endfunction
 
