//Задаем путь .xml-файлов задач
function [err,msg]=SetTaskPath(tasksSCEFilesPath,..//Путь к файлам задач
                               asksTypes,..//Вид запроса (путь к директории задач, путь к директории результатов задач, путь к директории файлов входных данных, путь к директории файлов выходных данных)
                               errPrintMsg..//Необходимость печати сообщений об ошибках
                               )
    //Проверяем аргументы
    [nRez,nArg] = argn();//Число аргументов
    select nArg
    case 0 then
        error('The function SetTaskPath takes 1, 2 or 3 arguments');
    case 1 then
        asksTypes = 1:size(tasksSCEFilesPath,'*');//Типы запроса - индексы запросов
        errPrintMsg = %t;//Ошибки по умолчанию выдаем
    case 2 then
        if type(asksTypes) == 4 then
            errPrintMsg = asksTypes;//Необходимость печати сообщений об ошибках
            asksTypes = 1:size(tasksSCEFilesPath,'*');//Типы запроса - индексы запросов
        else
            errPrintMsg = %t;//Ошибки по умолчанию выдаем
            asksTypes = asksTypes + 1;//Приводим к виду, удобному для записи в файл
        end
    else
        if isempty(asksTypes) then
            asksTypes = 1:size(tasksSCEFilesPath,'*');//Типы запроса - индексы запросов
        else
            if size(unique(asksTypes), '*') < size(asksTypes, '*') then
                error('The argument asksTypes of function SetTaskPath not must include equal elements');
            end
            asksTypes = asksTypes + 1;//Приводим к виду, удобному для записи в файл
        end
    end
    tasksSCEFilesPath = matrix(tasksSCEFilesPath,1,-1);//Приводим к вектору-строке
    asksTypes = matrix(asksTypes,1,-1);//Приводим к матрице-строке
    
    //Считываем все пути
    [_tasksSCEFilesPath,err,msg,..
     tasksSCEFilesPathFull] = GetTaskPath(errPrintMsg);
    if err ~= 0 then
        if errPrintMsg then//Выводим при необходимости сообщение об ошибке
            error(msg);
        end
        return;//дальше двигаться нет смысла
    end
    
    //Корректируем все пути
    if isempty(_tasksSCEFilesPath) then
        _tasksSCEFilesPath = ['';'';''];//Пустые строки
        if isempty(tasksSCEFilesPath) then
            return;
        end
    end
    _tasksSCEFilesPath(asksTypes) = tasksSCEFilesPath;//Корректируем пути
    
    //Открываем файл путей
    fd = mopen(tasksSCEFilesPathFull,'wt',1);//Открываем, как текстовый файл для записи
    
    //Записываем в файл информацию о пути и закрываем файл
    err = mputl(_tasksSCEFilesPath, fd);
    
    //Закрываем файл
    mclose(fd);
    
    //Выводим при необходимости сообщение об ошибке
    if err then
        //Выводим положительный результат
        if nRez > 0 then
            err = 0;
            if nRez > 1 then
                msg = '';
            end
        end
    else
        if nRez > 0 then
            err = -5;
        end
        if (nRez > 1) || errPrintMsg then
            msg = 'Cannot stored the tasks SCE files path information';
        end
        if errPrintMsg then
            error(msg);
        end
        return;
    end
endfunction
 
